Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC__Subframe_LPC Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Public Attributes

FLAC__EntropyCodingMethod | entropy_coding_method
unsigned | order
unsigned | qlp_coeff_precision
int | quantization_level
FLAC__int32 | qlp_coeff [FLAC__MAX_LPC_ORDER]
FLAC__int32 | warmup [FLAC__MAX_LPC_ORDER]
const FLAC__int32 * | residual

## Detailed Description

LPC subframe. (c.f. format specification)

## Member Data Documentation

FLAC__EntropyCodingMethod FLAC__Subframe_LPC::entropy_coding_method

| The residual coding method.

unsigned FLAC__Subframe_LPC::order

| The FIR order.

unsigned FLAC__Subframe_LPC::qlp_coeff_precision

| Quantized FIR filter coefficient precision in bits.

int FLAC__Subframe_LPC::quantization_level

| The qlp coeff shift needed.

FLAC__int32 FLAC__Subframe_LPC::qlp_coeff[FLAC__MAX_LPC_ORDER]

| FIR filter coefficients.

FLAC__int32 FLAC__Subframe_LPC::warmup[FLAC__MAX_LPC_ORDER]

| Warmup samples to prime the predictor, length == order.

const FLAC__int32* FLAC__Subframe_LPC::residual

| The residual signal, length == (blocksize minus order) samples.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h